Summary: General Purpose Mouse support for Linux
Name: gpm
Version: 1.10
Release: 1fr
Copyright: GPL
Group: Daemons
Source: sunsite.unc.edu:/pub/Linux/system/Daemons/gpm-1.10.tar.gz
Source1: gpm.init
Patch: gpm-1.06-ncurses.patch
Patch1: gpm-1.10-glibc.patch
Patch2: gpm-1.10-stupid.patch
Patch3: gpm-1.10-emacsdir.patch
Distribution: fatrat
BuildRoot: /tmp/gpm-root
Packager: Frank Meurer <meurer@gmx.de>

%description
GPM adds mouse support to text-based Linux applications such as emacs,
Midnight Commander, and more. It also provides console cut-and-paste 
operations using the mouse. Includes a program to allow pop-up menus to
appear at the click of a mouse button. 

%package devel
Requires: gpm
Summary: development libraries and headers for writing mouse driven programs
Group: Development/Libraries
%description devel
This package allows you to develop your own text-mode programs that take
advantage of the mouse. 

%changelog

* Mon Feb 28 2000 meurer@gmx.de

- compile on mac68k

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -I/usr/include/ncurses -O3 -fomit-frame-pointer"

%install
%ifarch sparc
(echo MOUSETYPE=\"sun\"; echo XEMU3=no) > /etc/sysconfig/mouse
%endif
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/{sysconfig,rc.d/{rc{0,1,2,3,5,6}.d,init.d}},usr/{bin,info,lib,include,man/man1,share/emacs/site-lisp}}


PATH=/sbin:$PATH:/usr/sbin:$PATH

rm -f $RPM_BUILD_ROOT/usr/info/gpm.info*
make PREFIX=$RPM_BUILD_ROOT/usr install 
gzip -9nf $RPM_BUILD_ROOT/usr/info/gpm.info*
install -m644 gpm-root.conf $RPM_BUILD_ROOT/etc
install -s -m755 mouse-test $RPM_BUILD_ROOT/usr/bin
install -s -m755 hltest $RPM_BUILD_ROOT/usr/bin
strip $RPM_BUILD_ROOT/usr/bin/gpm $RPM_BUILD_ROOT/usr/bin/mev $RPM_BUILD_ROOT/usr/bin/gpm-root
install -m 755 -o root -g root $RPM_SOURCE_DIR/gpm.init $RPM_BUILD_ROOT/etc/rc.d/init.d/gpm
(cd $RPM_BUILD_ROOT/etc/rc.d/rc2.d;
 ln -sf ../init.d/gpm S85gpm
 cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d;
 ln -sf ../init.d/gpm S85gpm
 cd $RPM_BUILD_ROOT/etc/rc.d/rc5.d;
 ln -sf ../init.d/gpm S85gpm
 cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d;
 ln -sf ../init.d/gpm K15gpm
 cd $RPM_BUILD_ROOT/etc/rc.d/rc1.d;
 ln -sf ../init.d/gpm K15gpm
 cd $RPM_BUILD_ROOT/etc/rc.d/rc6.d;
 ln -sf ../init.d/gpm K15gpm
) 

#/sbin/ldconfig #doesn't make sense
ln -sf libgpm.so.1.10 $RPM_BUILD_ROOT/usr/lib/libgpm.so

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%config /etc/gpm-root.conf

%ifarch sparc
%config /etc/sysconfig/mouse
%endif

/usr/bin/gpm
/usr/bin/mev
/usr/bin/gpm-root
/usr/bin/mouse-test
/usr/bin/hltest
/usr/share/emacs/site-lisp/t-mouse.el
/usr/share/emacs/site-lisp/t-mouse.elc
/usr/info/gpm.info*
/usr/man/man1/gpm.1
/usr/man/man1/mev.1
/usr/man/man1/gpm-root.1
/usr/lib/libgpm.so.1.10
%config /etc/rc.d/init.d/gpm
%config /etc/rc.d/rc2.d/S85gpm
%config /etc/rc.d/rc3.d/S85gpm
%config /etc/rc.d/rc5.d/S85gpm
%config /etc/rc.d/rc0.d/K15gpm
%config /etc/rc.d/rc1.d/K15gpm
%config /etc/rc.d/rc6.d/K15gpm

%files devel
/usr/lib/libgpm.a
/usr/include/gpm.h
/usr/lib/libgpm.so
